import request from "@/utils/request.js";
import { APP_CODE } from "@/config/app.js";

/**
 * 创建支付订单
 * @param {Object} data - 支付订单参数
 * @param {string} data.goodsId - 商品ID
 * @param {number} data.amount - 支付金额
 * @param {string} data.payType - 支付方式(wxpay/alipay)
 */
export function createPaymentOrder(params) {
  return request.post("wxpay/v2/jsapi/pay", { ...params, appCode: APP_CODE });
}

/**
 * 查询订单支付状态
 * @param {string} orderNo - 订单编号
 */
export function queryPaymentStatus(orderNo) {
  return request.get("wxpay/v2/order/query", {
    orderNo,
    appCode: APP_CODE,
  });
}

/**
 * 提料 - 根据订单号完成订单
 * @param {string} orderNo - 订单编号
 */
export function goldPrincipalCompleteOrder(params) {
  return request.get("goldprincipal/complete-plate-exchange-order", params);
}
/**
 * SVIP - 根据订单号完成订单
 * @param {string} orderNo - 订单编号
 */
export function svipToggle(params) {
  return request.get("svip/toggle", params);
}
